Update a tax rate

Update an existing tax rate account

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tax_rate_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
codestringOptional<=500 characters
Code for the tax rate from the accounting platform
descriptionstringOptional<=2048 characters
Description of the tax rate
effective_tax_rateintegerOptional0-10000
Effective tax rate in percent [minor units](https://docs.monite.com/references/currencies#minor-units). Example: 12.5% is 1250.
namestringOptional<=500 characters
Name of the tax rate

Response

Successful Response
idstringformat: "uuid"
created_atdatetime
The timestamp when the tax rate was created.
updated_atdatetime
The timestamp when the tax rate was last updated.
codestringOptional
Code for the tax rate from the accounting platform.
componentslist of objectsOptional
descriptionstringOptional
Description of the tax rate
effective_tax_rateintegerOptional

Effective tax rate in percent minor units. Example: 12.5% is 1250.

is_externalbooleanOptionalDefaults to false
Whether the tax rate is from an external system
namestringOptional
statusstringOptional
total_tax_rateintegerOptional

Total (not compounded) sum of the components of a tax rate in minor units. Example: 12.5% is 1250.

Errors

400
Patch Accounting Tax Rates ID Request Bad Request Error
401
Patch Accounting Tax Rates ID Request Unauthorized Error
403
Patch Accounting Tax Rates ID Request Forbidden Error
404
Patch Accounting Tax Rates ID Request Not Found Error
409
Patch Accounting Tax Rates ID Request Conflict Error
422
Patch Accounting Tax Rates ID Request Unprocessable Entity Error
500
Patch Accounting Tax Rates ID Request Internal Server Error